# PhasicFlow: solvers/sphereGranFlow/sphereGranFlow.cpp File Reference

sphereGranFlow.cpp File Reference

sphereGranFlow solver More...

Include dependency graph for sphereGranFlow.cpp:

Go to the source code of this file.

## Functions

int | main (int argc, char *argv[])
| DEM solver for simulating granular flow of cohesion-less particles. More...

## Detailed Description

sphereGranFlow solver

This solver simulate granular flow of cohesion-less, spherical particles. Particle insertion can be activated in the solver to gradually insert particles into the simulation. Geometry can be defined generally with built-in features of the code or through ASCII stl files or a combination of both. For more information refer to tutorials/sphereGranFlow/ folder.

Definition in file sphereGranFlow.cpp.

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

DEM solver for simulating granular flow of cohesion-less particles.

In the root case directory just simply enter the following command to run the simulation. For command line options use flag -h.

Definition at line 63 of file sphereGranFlow.cpp.

References sphereParticles::afterIteration(), sphereParticles::beforeIteration(), Control, endREPORT, fatalError, sphereParticles::iterate(), commandLine::parse(), REPORT, sphInsertion, sphInteraction, sphParticles(), and surfGeometry.

Here is the call graph for this function: